## node-emotion 11.10.7+ds1+~cs8.3.3

=== debian/changelog ===
node-emotion (11.10.7+ds1+~cs8.3.3-4) unstable; urgency=medium

  * Add Breaks+Replaces against node-mermaid (Closes: #1036690)

 -- Yadd <yadd@debian.org>  Wed, 24 May 2023 18:48:07 +0400

node-emotion (11.10.7+ds1+~cs8.3.3-3) unstable; urgency=medium

  * Fix babel-plugin-macros version

 -- Yadd <yadd@debian.org>  Wed, 17 May 2023 07:29:19 +0400

node-emotion (11.10.7+ds1+~cs8.3.3-2) unstable; urgency=medium

  * Source-only upload

 -- Yadd <yadd@debian.org>  Wed, 17 May 2023 07:28:51 +0400

node-emotion (11.10.7+ds1+~cs8.3.3-1) unstable; urgency=medium

  * Initial release (Closes: #1034776)

 -- Yadd <yadd@debian.org>  Mon, 24 Apr 2023 14:21:45 +0400
