=== debian/control ===
Source: node-emotion
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , jest <!nocheck>
 , node-babel7
 , node-chalk
 , node-detect-indent
 , node-enquirer
 , node-fs-extra
 , node-hoist-non-react-statics
 , node-jest-worker
 , node-meow
 , node-npm-packlist
 , node-parse-glob
 , node-performance-now <!nocheck>
 , node-react-is
 , node-require-from-string
 , node-rollup-plugin-alias
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-json
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-replace
 , node-rollup-plugin-terser
 , node-typescript
 , node-v8-compile-cache
 , rollup
Standards-Version: 4.6.2
Homepage: https://github.com/emotion-js/emotion
Vcs-Git: https://salsa.debian.org/js-team/node-emotion.git
Vcs-Browser: https://salsa.debian.org/js-team/node-emotion
Rules-Requires-Root: no

Package: node-emotion
Architecture: all
Depends: ${misc:Depends}
 , node-babel-plugin-macros
 , node-babel-plugin-syntax-jsx
 , node-babel-runtime
 , node-find-root
 , node-hoist-non-react-statics
 , node-react
 , node-stylis
 , node-through
Provides: ${nodeEmotion:Provides}
Description: Node.js package to include CSS in JavaScript
 node-emotion is a performant and flexible CSS-in-JS library. Building on
 many other CSS-in-JS libraries, it allows one to style apps quickly with
 string or object styles. It has predictable composition to avoid
 specificity issues with CSS. With source maps and labels, Emotion has a
 great developer experience and great performance with heavy caching in
 production.

Package: node-babel-plugin-macros
Architecture: all
Depends: ${misc:Depends}
 , node-babel-runtime
 , node-cosmiconfig
 , node-resolve
Description: BabelJS plugin to allow one to build compile-time libraries
 Currently, each babel plugin in the babel ecosystem requires that you
 configure it individually. This is fine for things like language features,
 but can be frustrating overhead for libraries that allow for compile-time
 code transformation as an optimization.
 .
 babel-plugin-macros defines a standard interface for libraries that want to
 use compile-time code transformation without requiring the user to add a
 babel plugin to their build system (other than `babel-plugin-macros`, which
 is ideally already in place).

Package: node-find-root
Architecture: all
Depends: ${misc:Depends}
Description: Node.js module to get the closest package.json
 node-find-root is a simple library to get the closest package.json.

Package: node-stylis
Architecture: all
Depends: ${misc:Depends}
Breaks: node-mermaid (<< 8.14.0+~cs11.4.14-2~)
Replaces: node-mermaid (<< 8.14.0+~cs11.4.14-2~)
Description: Light–weight CSS Preprocessor for Node.js
 node-stylis is a light–weight CSS Preprocessor.
