=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=nodejs
	ln -s ../scripts/babel-preset-emotion-dev node_modules/
	debian/build_modules/@preconstruct/cli/bin.js build

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs auto_dispatch

override_dh_installchangelogs:
	dh_installchangelogs
	rm -f debian/node-find-root/usr/share/doc/node-find-root/changelog
	rm -f debian/node-stylis/usr/share/doc/node-stylis/changelog

# Fix versions and homepage of components
override_dh_gencontrol:
	dh_gencontrol -pnode-emotion -- -v$(DEB_VERSION)
	dh_gencontrol -pnode-babel-plugin-macros -- \
		-v$(shell pkgjs-pjson babel-plugin-macros version)~$(DEB_VERSION) \
		-DHomepage=https://github.com/kentcdodds/babel-plugin-macros
	dh_gencontrol -pnode-find-root -- \
		-v$(shell pkgjs-pjson find-root version)~$(DEB_VERSION) \
		-DHomepage=https://github.com/js-n/find-root
	dh_gencontrol -pnode-stylis -- \
		-v$(shell pkgjs-pjson stylis version)~$(DEB_VERSION) \
		-DHomepage=https://github.com/thysultan/stylis.js
