=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+ds1,\
filenamemangle=s/.+\@(\d\S+)@ARCHIVE_EXT@/node-emotion-$1\.tar\.gz/ \
 https://github.com/emotion-js/emotion/tags .*/@emotion/[-\w]+\@(\d\S+)\.tar\.gz group

opts=\
component=stylis,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-stylis.js-$1/ \
 https://github.com/thysultan/stylis.js/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=babel-plugin-macros,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-babel-plugin-macros-$1/ \
 https://github.com/kentcdodds/babel-plugin-macros/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=find-root,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-find-root-$1/ \
 https://github.com/js-n/find-root/tags .*/archive.*/v?([\d\.]+).tar.gz checksum
